XmListSetAddMode(library call)

NAME
XmListSetAddMode — A List function that sets add mode in the list

SYNOPSIS

#include <Xm/List.h>
void XmListSetAddMode(
Widget widget,
Boolean state);

DESCRIPTION

XmListSetAddMode allows applications control over Add Mode in the extended selection model. This function ensures that the mode it sets is compatible with the selection policy (XmNselectionPolicy) of the widget. For example, it cannot put the widget into add mode when the value of XmNselectionPolicy is XmBROWSE_SELECT.

widget
    Specifies the ID of the List widget

state
    Specifies whether to activate or deactivate Add Mode. If state is True, Add Mode is activated. If state is False, Add Mode is deactivated.

For a complete definition of List and its associated resources, see XmList(3).

RELATED

XmList(3).